PDA

View Full Version : how to add repos to SMT?



atrond
14-May-2013, 09:55
Hi,

how can I add repos like e.g. "SLES 11 SP2 updates" to my brand new SMT server? Right now, I only see openSUSE updates and ATI and Nvidia drivers.

EDIT: this is what "smt ncc-sync" says:

Downloading Product information
Downloading Target information
Downloading repository information
Downloading Product/Repository relations
Downloading Subscription information
Downloading Registration information
Flagged repositories which can be mirrored
SMT::Parser::NU Invalid XML in '/tmp/smt-6nTnPBlu/repo/repoindex.xml':
not well-formed (invalid token) at line 1, column 0, byte 0 at /usr/lib/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/XML/Parser.pm line 187

jmozdzen
15-May-2013, 15:39
Hi atrond,

> how can I add repos like e.g. "SLES 11 SP2 updates" to my brand new SMT server?

you can see what repositories can be mirrored by your SMT server using the "smt-catalogs" command:


smtserver:~ # smt-catalogs
.------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------.
| Mirror? | ID | Type | Name | Target | Description | Can be Mirrored | Staging |
+---------+-----+------+---------------------------------------------+-------------------------+---------------------------------------------------------------+-----------------+---------+
| No | 1 | nu | AG4C1-Updates | sle-11-x86_64 | AG4C1-Updates for sle-11-x86_64 | No | No |
| No | 2 | zypp | ATI-Driver-SLE10-SP2 | -- | ATI-Driver-SLE10-SP2 | No | No |
| No | 3 | zypp | ATI-Driver-SLE10-SP3 | -- | ATI-Driver-SLE10-SP3 | Yes | No |
| No | 4 | zypp | ATI-Driver-SLE10-SP4 | -- | ATI-Driver-SLE10-SP4 | Yes | No |
| No | 5 | zypp | ATI-Driver-SLE11 | -- | ATI-Driver-SLE11 | No | No |
| No | 6 | zypp | ATI-Driver-SLE11-SP1 | -- | ATI-Driver-SLE11-SP1 | Yes | No |
| No | 7 | zypp | ATI-Driver-SLE11-SP2 | -- | ATI-Driver-SLE11-SP2 | Yes | No |
| No | 8 | zypp | ATI-Driver-SLE11-SP3 | -- | ATI-Driver-SLE11-SP3 | Yes | No |
| No | 9 | zypp | ATI-Drivers | -- | ATI-Drivers | No | No |

(if you use "-o", only mirrorable repositories will be listed).

Using the "-e" option, you can "enable" repositories for mirroring.

> SMT::Parser::NU Invalid XML in '/tmp/smt-6nTnPBlu/repo/repoindex.xml':
> not well-formed (invalid token) at line 1, column 0, byte 0 at /usr/lib/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/XML/Parser.pm line 187

Concerning the error message a look at the temporary file and/or circumstances might be helpful. Is there enough disk space in /tmp? Although it might be a general problem downloading that list in the first place, as the error points to the beginning of the file. Have you tried running the tool in debug mode ("smt-ncc-sync --debug") to obtain more information?

Regards,
Jens